Package com.independentsoft.graph.files

# Enum Class SharingLinkScope

java.lang.Object
java.lang.Enum<SharingLinkScope>
com.independentsoft.graph.files.SharingLinkScope

All Implemented Interfaces:
  `Serializable`, `Comparable<SharingLinkScope>`, `Constable`

public enum SharingLinkScope extends Enum<SharingLinkScope>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANONYMOUS`
  `EXISTING_ACCESS`
  `NONE`
  `ORGANIZATION`
  `USERS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SharingLinkScope`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SharingLinkScope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ORGANIZATION

    public static final SharingLinkScope ORGANIZATION

  - ### ANONYMOUS

    public static final SharingLinkScope ANONYMOUS

  - ### EXISTING_ACCESS

    public static final SharingLinkScope EXISTING_ACCESS

  - ### USERS

    public static final SharingLinkScope USERS

  - ### NONE

    public static final SharingLinkScope NONE

- ## Method Details

  - ### values

    public static SharingLinkScope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SharingLinkScope valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null